
import NavBarNormal from "@/components/nav-bar-normal/index";
import { View } from "@tarojs/components";
import PageCustom from "@/components/page-custom/index";

import { useState } from "react";
import StepStart from './components/step/StepStart'
import StepPick from "./components/step/StepPick";

export default function Index() {
  
  const [state, setState] = useState<'start'|'pick'|'confirm'>('pick')

  

  return (
    <PageCustom>
      <NavBarNormal backText="形象照"></NavBarNormal>
      <View className="px-16 w-full flex flex-col gap-20">
        <View className={state === 'start' ? 'block': 'hidden'}><StepStart></StepStart></View>
        <View className={state === 'pick' ? 'block': 'hidden'}><StepPick></StepPick></View>
      </View>
    </PageCustom>
  );
}
